@import "assets/scss/global";

.container-assign {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;

    .header-back {
        display: inline-flex;
        flex-direction: row;
        align-items: center;
        gap: 5px;
        cursor: pointer;
        width: max-content;

        svg {
            height: 20px;
            width: 20px;

            path {
                stroke: #8E91A0;
            }
        }

        span {
            font-weight: 500;
            font-size: 16px;
            line-height: 24px;
            color: #8E91A0;
        }
    }

    .content-assign {
        position: relative;
        height: calc(100% - 24px);
        width: 100%;
        display: flex;
        flex-direction: column;
        gap: 20px;
        overflow: auto;

        .assign-item {
            width: 451px;
            display: flex;
            flex-direction: column;
            align-items: center;
            padding: 24px;
            gap: 20px;
            background: #FFFFFF;
            border-radius: 8px;
            margin: 0 auto;

            .title {
                width: 100%;
                font-weight: 700;
                font-size: 13px;
                line-height: 20px;
                color: #7660FE;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                text-align: center;

                &.ended {
                    color: #EF4E2B;
                }
            }

            .content-data {
                display: flex;
                flex-direction: row;
                gap: 20px;
                width: 100%;

                .item-data {
                    display: flex;
                    flex-direction: column;
                    padding: 10px 24px;
                    width: 45%;

                    span {
                        font-weight: 400;
                        font-size: 13px;
                        line-height: 20px;
                        color: #202226;

                        &:not(.tab-status) {
                            line-height: 30px;
                        }

                        &.tab-status {
                            padding: 5px 10px;
                            border-radius: 60px;
                            text-align: center;
                            background: #FFEFD9;
                            color: #F79945;

                            &.ongoing {
                                background: #D7F9F5;
                                color: #21C274;
                            }

                            &.ended {
                                background: #FFCACA;
                                color: #EF4E2B;
                            }
                        }
                    }

                    &.task-name {
                        width: 55%;

                        span {
                            font-weight: 600;
                            font-size: 13px;
                            line-height: 20px;
                            color: #8B5252;

                            &:not(.tab-status) {
                                line-height: 30px;
                            }

                            &.tab-status {
                                padding: unset;
                                background: unset;
                                border-radius: unset;
                                color: #8B5252;
                                text-align: left;
                                line-height: 30px;
                            }
                        }
                    }
                }
            }
        }

        .button-action {
            width: 100%;
            font-weight: 400;
            font-size: 13px;
            line-height: 20px;
            border-radius: 8px;

            --rs-btn-primary-text: #FFF;
            --rs-btn-primary-hover-text: #FFF;
            --rs-btn-primary-active-text: #FFF;

            --rs-btn-primary-bg: rgba(118, 96, 254, 0.6);
            --rs-btn-primary-hover-bg: rgba(118, 96, 254, 0.6);
            --rs-btn-primary-active-bg: rgba(118, 96, 254, 0.6);
            outline: none;
            opacity: 1;

            &.ongoing {
                --rs-btn-primary-bg: #7660FE;
                --rs-btn-primary-hover-bg: #7660FE;
                --rs-btn-primary-active-bg: #7660FE;
            }

            &.ended {
                --rs-btn-primary-bg: #EF4E2B;
                --rs-btn-primary-hover-bg: #EF4E2B;
                --rs-btn-primary-active-bg: #EF4E2B;
            }

            &[class*="rs-btn-disabled"] {
                --rs-btn-primary-bg: #D6D6D6;
                --rs-btn-primary-hover-bg: #D6D6D6;
                --rs-btn-primary-active-bg: #D6D6D6;

                &.upcoming {
                    --rs-btn-primary-bg: rgba(118, 96, 254, 0.6);
                    --rs-btn-primary-hover-bg: rgba(118, 96, 254, 0.6);
                    --rs-btn-primary-active-bg: rgba(118, 96, 254, 0.6);
                }
            }
        }

        .no-data {
            height: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            gap: 20px;

            img {
                width: 140px;
                height: auto;
                object-fit: contain;
                object-position: center;
            }

            span {
                color: #526375;
                font-size: 16px;
                line-height: 24px;
                text-align: center;
            }
        }
    }
}